<template>
  <div class="userCard">
    <div class="profile">
      <img src="/images/index/默认头像-01.png" alt="" />
    </div>
    <div class="notification" v-if="!userInfo">
      Hi!请
      <span class="login" @click="jump('/login')">登录</span>或<span
        class="register"
        @click="jump('/register')"
        >注册</span
      >
    </div>
    <div class="des" v-if="!userInfo">登录后查看个人工具栏</div>
    <div class="userName" v-else>{{ userInfo.username }}</div>
    <div class="bottom">
      <div class="bottomItem" v-for="(item, index) in userCardArr" :key="index">
        <div class="num">{{ item.num }}</div>
        <div class="label">{{ item.label }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    userBuyInfo:Object,
    userCardArr: {
      type: Array,
      default: () => {
        return [
          {
            num: "_",
            label: "待付款",
          },
          {
            num: "_",
            label: "待续费",
          },
          {
            num: "_",
            label: "消息中心",
          },
        ];
      },
    },
  },
  created() {
    //尝试从session中拿用户信息
    this.userInfo = JSON.parse(sessionStorage.getItem("userInfo"));
  },
  data() {
    return {
      userInfo: null, //用户信息
    };
  },
  methods: {
    jump(url) {
      this.$router.push(url);
    },
  },
};
</script>

<style scoped lang="scss">
.userCard {
  width: 302px;
  height: 250px;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-sizing: border-box;
  padding: 40px 0 20px 0;

  background: #ffffff;
  box-shadow: 0px 4px 12px rgba(0, 43, 106, 0.12);

  img {
    width: 70px;
  }

  .notification {
    margin-top: 5px;
    font-weight: 700;
    font-size: 14px;

    span {
      color: #0065ff;
      cursor: pointer;
    }
  }

  .userName {
    font-size: 14px;
    font-weight: 700;
    margin-top: 10px;
  }

  .des {
    font-size: 12px;
    color: #999999;
  }

  .bottom {
    display: flex;
    margin-top: 20px;
    width: 100%;
    .bottomItem {
      flex: 1;
      text-align: center;

      .num {
        margin-bottom: 5px;
        color: #0065ff;
        font-weight: 700;
      }

      .label {
        color: #999999;
        font-size: 14px;
      }
    }
  }
}
</style>